% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/medde.R
\name{medde}
\alias{medde}
\title{Maximum Entropy [De]Regularized [Bivariate] Density Estimation}
\usage{
medde(x, ...)
}
\arguments{
\item{x}{Data: n by 2 matrix of observations}

\item{...}{additional parameters for fitting.}
}
\value{
An object of class "medde1" or "medde2"
}
\description{
Density estimation based on maximum entropy methods
}
\details{
See the references for further details. And also Mosek "Manuals". The
acronym, according to the urban dictionary has a nice connection to
a term used in Bahamian dialect, mostly on the Family Islands like Eleuthera
and Cat Island meaning "mess with" "get involved," "get entangled," "fool
around," "bother:"
"I don't like to medder up with all kinda people"
"Don't medder with people (chirren)"
"Why you think she medderin up in their business."

This function is merely an outer wrapper for separate function for univariate
and bivariate fitting, see \code{medde1} and \code{medde2} respectively.
}
\references{
Han, Qiyang and Jon Wellner (2016) ``Approximation and estimation of s-concave 
densities via Renyi divergences,'' \emph{Annals of Statistics}, 44, 1332-1359.
Koenker, R and I. Mizera, (2010) ``Quasi-Concave Density Estimation''
\emph{Annals of Statistics}, 38, 2998-3027.
}
\seealso{
\code{medde1} and \code{medde2}
}
\author{
Roger Koenker and Ivan Mizera
}
\keyword{nonparametric}
